VistaIOCopyBand(3)

NAME
VistaIOCopyBand - copy image pixel values

SYNOPSIS
#include <vistaio.h>

VistaIOBoolean VistaIOCopyBand (src, src_band, dest, dest_band)
    VistaIOImage src, dest;
    VistaIOBand src_band, dest_band;

ARGUMENTS

src Specifies the image to copy from (the source image).

src_band
    May specify a particular band of the source image to copy from, or may be VistaIOAllBands to indicate that all bands of the source image should be copied.

dest
    Specifies the image to copy to (the destination image).

dest_band
    Specifies the first band of the destination image to receive pixel values from the source image.

DESCRIPTION
VistaIOCopyBand copies pixel values from a source image, src, to a destination image, dest. The two images must have the same pixel representation, number of rows, and number of columns.

If src_band is the constant VistaIOAllBands, all of the source image's bands of pixel values are copied to the destination image beginning at the destination band dest_band. The destination image must have at least dest_band + VistaIOImageNBands (src) - 1 bands.

Otherwise, src_band specifies a single band of the source image. That band is copied to a single band, dest_band, of the destination image. The destination image must have at least dest_band + 1 bands.

Unlike most Vista image processing routines, this one does not copy the source image's attributes to the destination image.

RETURN VALUES
VistaIOCopyImage returns TRUE if it is successful and FALSE otherwise.

SEE ALSO
VistaIOCopyImage(3), VistaIOCombineBands(3), VistaIOImage(3),

DIAGNOSTICS

``No destination specified.''
    The destination image, dest must be supplied.

``Band band referenced in image of nbands band(s).''
    The src_band (dest_band) argument is outside the range of source (destination) image band numbers.

``Destination image has dest_nbands bands; nbands expected.''
    The destination image has too few bands.

``Destination image has dest_prop property; src_prop expected.''
    Property is one of ``pixels'', ``rows'', or ``columns''. The destination image does not have the same pixel representation, number of rows, and number of columns as the source image.

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>